#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
# Copyright (C) 2012  Marek Marczykowski <marmarek@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:		qubes-libvchan-xen
Version:	4.1.5
Release:	1%{dist}

Summary:	Qubes vchan libraries
License:	GPL v2 only
Group:		Qubes
Vendor:		Invisible Things Lab
URL:		http://www.qubes-os.org
Obsoletes:  qubes-core-libs < 2.1.2
Provides:   qubes-core-libs
Provides:   qubes-libvchan
BuildRequires: gcc
BuildRequires: xen-devel >= 4.2
Source0:    %{name}-%{version}.tar.gz

%description
The Qubes core libraries for installation inside a Qubes Dom0 and VM.

%prep
%setup -q

%build
%set_build_flags
export LIBDIR=%{_libdir}
export INCLUDEDIR=%{_includedir}
make all

%install
export LIBDIR=%{_libdir}
export INCLUDEDIR=%{_includedir}
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%files
%{_libdir}/libvchan-xen.so

%package devel
Summary:        Include files for qubes core libraries
License:        GPL v2 only
Group:          Development/Sources 
Obsoletes:      qubes-core-appvm-devel
Obsoletes:      qubes-core-vm-devel < 2.1.2
Obsoletes:      qubes-core-libs-devel < 2.1.2
Provides:       qubes-core-vm-devel
Provides:       qubes-core-libs-devel
Provides:       qubes-libvchan-devel
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel

%files devel
%{_includedir}/vchan-xen/libvchan.h
%{_libdir}/pkgconfig/vchan-xen.pc
%{_libdir}/pkgconfig/vchan.pc

%changelog
* Thu Nov 19 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-vchan-xen.git

* Thu Nov 19 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5cdec00
- version 4.1.5

* Tue Nov 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8dd6ad8
- Remove u2mfn lib

* Mon Nov 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 51c9221
- Add .gitlab-ci.yml

* Sat Nov 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e913b1e
- debian: provide generic libvchan{,-dev} packages

* Sat Nov 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 208c56a
- archlinux: polish PKGBUILD

* Sat Nov 14 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b34fa9f
- Create symlink to vchan-xen.pc

* Mon Aug 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c78c52
- version 4.1.4

* Fri Aug 07 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7a29c8f
- Update travis

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - f40b71a
- travis: switch to dom0 Fedora 31

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d570f76
- travis: switch to bionic

* Tue Oct 15 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f5ce2c
- version 4.1.3

* Tue Oct 15 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd1d843
- Rebuild for CentOS

* Sat Sep 21 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 03030ac
- version 4.1.2

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bc1ae3c
- travis: switch to xenial

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 91decf3
- version 4.1.1

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78d1a18
- travis: update distributions

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - be58b85
- debian: make use of more flexible makefile

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fb3592e
- rpm: make use of improved make file

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79cb540
- Make the makefile more flexible, introduce PREFIX, LIBDIR, INCLUDEDIR

* Mon Sep 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2163a60
- Drop obsolete make targets

* Mon Aug 26 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 522cbac
- Check if domain is alive using domctl

* Wed Feb 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9536b5b
- version 4.1.0

* Wed Feb 27 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 47b9ee9
- travis: update to R4.1

* Tue Feb 05 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 43c8676
- debian: add autotools-dev to build-depends

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8fdb81b
- debian: don't create orig.tar.gz manually

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2e0ffb2
- version 4.0.5

* Mon Oct 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f962c3
- version 4.0.4

* Mon Oct 08 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2098b07
- travis: update Fedora and Debian versions

* Tue Oct 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 20768c3
- rpm: add BR: gcc

* Wed Jul 11 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c03e67
- version 4.0.3

* Sat Jul 07 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1da16a6
- windows: update for vs2017

* Thu May 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5ba7ae1
- version 4.0.2

* Wed May 02 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 84ff019
- travis: add centos7

* Wed Apr 18 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - df82341
- travis: update for R4.0, bump Fedora versions

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42d07fb
- Adjust snprintf string limit

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 3ddbea5
- spec.in: add changelog placeholder

* Sun Apr 01 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 18c8ea3
- Remove _builddir

* Sun Apr 01 2018 Frédéric Pierret <frederic.epitre@orange.fr> - c6be85a
- Create spec.in and Source0

* Tue Feb 27 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a817e9e
- version 4.0.1

* Fri Feb 23 2018 Ilpo Järvinen <ilpo.jarvinen@helsinki.fi> - c3cbde0
- Typo fix to description

* Sat Aug 05 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae1abc4
- version 4.0.0

* Sat Apr 08 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1593553
- version 3.2.1

* Sat Feb 25 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 494817e
- Cleanup empty xenstore directory after removing connection data

* Tue Jan 10 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f988f14
- travis: drop debootstrap workaround

* Fri Nov 18 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e3f8d14
- Don't require xen-devel when building other packages linked with vchan

* Mon Sep 05 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ae702b2
- version 3.2.0

* Mon Aug 08 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d999e48
- Allow building with Xen 4.6 and 4.7

* Sun Jul 31 2016 WetwareLabs <marcus@wetwa.re> - 7539521
- Move libxenctrl dependency to Makefile

* Fri Jul 22 2016 WetwareLabs <marcus@wetwa.re> - d8242b8
- Add libxenctlr dependency

* Fri Jul 22 2016 WetwareLabs <marcus@wetwa.re> - 9a009a2
- Fix building for Xen 4.7.0

